#!/bin/bash

PROGNAME=$(basename $0)
PROGPATH=$(echo $0 | sed "s/$PROGNAME//")

DST=/dev/fd0

while [ -z "$SRC" ]; do
	cat<<EOF

Making Vine Linux boot FD
    1) Local CD-ROM/HDD     (NOT PC-CARD)
    2) Network NFS/FTP/HTTP (NOT PC-CARD)
    3) PCMCIA CDROM/HDD
    4) PCMCIA Network NFS/FTP/HTTP
    5) USB CDROM/Network (Not Tested)
    6) Block Device Driver Disk (SCSI/RAID card)
    7) Network Card Driver Disk (Ethernet card)
EOF
	echo -n "Select (1-7) "
	read
	case $REPLY in
		1) SRC=boot.img;;
		2) SRC=bootnet.img;;
		3) SRC=pcmcia.img;;
		4) SRC=pcmcianet.img;;
		5) SRC=bootusb.img;;
		6) SRC=drvblock.img;;
		7) SRC=drvnet.img;;
	esac
done

echo ""
echo "dd if=$PROGPATH$SRC of=$DST bs=512 count=2880"
echo -n "Are you sure (yes/no)"
read
case $REPLY in
    yes|YES);;
    *) exit 1;;
esac

echo "Now writting..."
dd if=$PROGPATH$SRC of=$DST bs=512 count=2880

read
